Loading...
Searching...
No Matches
GetLeaf< BuildT > Struct Template Reference

Return the pointer to the leaf node that contains Coord. Implements Tree::probeLeaf(Coord) More...

`#include <nanovdb/NanoVDB.h>`

## Static Public Member Functions

static const NanoLeaf< BuildT > * | get (const NanoRoot< BuildT > &)
static const NanoLeaf< BuildT > * | get (const typename NanoRoot< BuildT >::Tile &)
static const NanoLeaf< BuildT > * | get (const NanoUpper< BuildT > &, uint32_t)
static const NanoLeaf< BuildT > * | get (const NanoLower< BuildT > &, uint32_t)
static const NanoLeaf< BuildT > * | get (const NanoLeaf< BuildT > &leaf, uint32_t)

## Detailed Description

template<typename BuildT>
struct nanovdb::GetLeaf< BuildT >

Return the pointer to the leaf node that contains Coord. Implements Tree::probeLeaf(Coord)

Template Parameters

  BuildT | Build type of the grid being called

## Member Function Documentation

## get() [1/5]

template<typename BuildT >

static const NanoLeaf< BuildT > * get | ( | const NanoLeaf< BuildT > & | leaf,
|  | uint32_t |
| ) |  |

inlinestatic

## get() [2/5]

template<typename BuildT >

static const NanoLeaf< BuildT > * get | ( | const NanoLower< BuildT > & | ,
|  | uint32_t |
| ) |  |

inlinestatic

## get() [3/5]

template<typename BuildT >

static const NanoLeaf< BuildT > * get | ( | const NanoRoot< BuildT > & |  | ) |

inlinestatic

## get() [4/5]

template<typename BuildT >

static const NanoLeaf< BuildT > * get | ( | const NanoUpper< BuildT > & | ,
|  | uint32_t |
| ) |  |

inlinestatic

## get() [5/5]

template<typename BuildT >

static const NanoLeaf< BuildT > * get | ( | const typename NanoRoot< BuildT >::Tile & |  | ) |

inlinestatic